com.io7m.r2.core

## Interface R2DeletableType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType
  All Known Subinterfaces:
    R2AmbientOcclusionBufferType, R2DebugCubeType, R2DebugVisualizerRendererType, R2DepthOnlyBufferType, R2DepthRendererType, R2DepthVarianceBufferType, R2DepthVarianceRendererType, R2EyePositionBufferType, R2EyeZBufferType, R2FilterType<P>, R2GeometryBufferType, R2GeometryRendererType, R2ImageBufferType, R2InstanceBatchedDynamicType, R2InstanceBillboardedDynamicType, R2LightBufferType, R2LightRendererType, R2MaskBufferType, R2MaskRendererType, R2ProjectionMeshType, R2RenderTargetType<D>, R2ShaderDepthBatchedType<M>, R2ShaderDepthSingleType<M>, R2ShaderFilterType<M>, R2ShaderInstanceBatchedType<M>, R2ShaderInstanceBillboardedType<M>, R2ShaderInstanceSingleScreenType<M>, R2ShaderInstanceSingleType<M>, R2ShaderLightProjectiveType<M>, R2ShaderLightProjectiveWithShadowType<M>, R2ShaderLightScreenSingleType<M>, R2ShaderLightSingleType<M>, R2ShaderLightVolumeSingleType<M>, R2ShaderScreenType<M>, R2ShaderTranslucentInstanceBatchedType<M>, R2ShaderTranslucentInstanceBillboardedType<M>, R2ShaderTranslucentInstanceSingleType<M>, R2ShaderTranslucentType<M>, R2ShaderType<M>, R2ShadowMapRendererType, R2StencilRendererType, R2Texture2DStaticType, R2Texture2DType, R2TextureCubeStaticType, R2TextureCubeType, R2TextureDefaultsType, R2TranslucentRendererType, R2UnitCubeType, R2UnitQuadType, R2UnitSphereType
  All Known Implementing Classes:
    R2AbstractShader, R2AmbientOcclusionBuffer, R2DebugCube, R2DebugLineSegmentsBatch, R2DebugShaderLightDirectionalConstantSingle, R2DebugShaderLightSphericalAttenuationSingle, R2DebugShaderLightSphericalConstantSingle, R2DebugVisualizerRenderer, R2DepthOnlyBuffer, R2DepthOnlyRenderer, R2DepthShaderBasicBatched, R2DepthShaderBasicSingle, R2DepthShaderBasicStippledSingle, R2DepthVarianceBuffer, R2DepthVarianceRenderer, R2EyePositionBuffer, R2EyeZBuffer, R2FilterBilateralBlurDepthAware, R2FilterBoxBlur, R2FilterCompositor, R2FilterDebugEyePosition, R2FilterDebugEyeZ, R2FilterEmission, R2FilterFogDepth, R2FilterFXAA, R2FilterLightApplicator, R2FilterOcclusionApplicator, R2FilterSSAO, R2GeometryBuffer, R2GeometryRenderer, R2ImageBuffer, R2InstanceBatchedDynamic, R2InstanceBillboardedDynamic, R2LightRenderer, R2LightShaderAmbientSingle, R2LightShaderDirectionalSpecularSingle, R2LightShaderProjectiveLambertBlinnPhongShadowVarianceSingle, R2LightShaderProjectiveLambertBlinnPhongSingle, R2LightShaderProjectiveLambertShadowVarianceSingle, R2LightShaderProjectiveLambertSingle, R2LightShaderSphericalLambertBlinnPhongSingle, R2LightShaderSphericalLambertPhongSingle, R2LightShaderSphericalLambertSingle, R2MaskBuffer, R2MaskRenderer, R2MaskShaderBatched, R2MaskShaderSingle, R2ProjectionMesh, R2RefractionMaskedDeltaShaderBatched, R2RefractionMaskedDeltaShaderBillboarded, R2RefractionMaskedDeltaShaderSingle, R2ShaderDebugColorVerticesWorldPosition, R2ShaderDebugVisualBatched, R2ShaderDebugVisualBillboarded, R2ShaderDebugVisualScreen, R2ShaderDebugVisualSingle, R2ShaderDepthBatchedVerifier, R2ShaderDepthSingleVerifier, R2ShaderFilterBilateralBlurDepthAwareHorizontal4f, R2ShaderFilterBilateralBlurDepthAwareVertical4f, R2ShaderFilterBoxBlurHorizontal4f, R2ShaderFilterBoxBlurVertical4f, R2ShaderFilterDebugEyePosition, R2ShaderFilterDebugEyeZ, R2ShaderFilterEmission, R2ShaderFilterFogDepth, R2ShaderFilterFogDepthLinear, R2ShaderFilterFogDepthQuadratic, R2ShaderFilterFogDepthQuadraticInverse, R2ShaderFilterFXAAA, R2ShaderFilterLightApplicator, R2ShaderFilterOcclusionApplicator, R2ShaderFilterTextureShow, R2ShaderFilterVerifier, R2ShaderInstanceBatchedVerifier, R2ShaderInstanceBillboardedVerifier, R2ShaderInstanceSingleVerifier, R2ShaderLightProjectiveVerifier, R2ShaderLightProjectiveWithShadowVerifier, R2ShaderLightScreenSingleVerifier, R2ShaderLightVolumeSingleVerifier, R2ShaderLogDepthOnlySingle, R2ShaderSSAO, R2ShaderTranslucentInstanceBatchedVerifier, R2ShaderTranslucentInstanceBillboardedVerifier, R2ShaderTranslucentInstanceSingleVerifier, R2ShadowMapRenderer, R2StencilRenderer, R2StencilShaderScreen, R2StencilShaderSingle, R2SurfaceShaderBasicBatched, R2SurfaceShaderBasicBillboarded, R2SurfaceShaderBasicReflectiveSingle, R2SurfaceShaderBasicSingle, R2SurfaceShaderBasicStippledSingle, R2Texture2DStatic, R2TextureCubeStatic, R2TextureDefaults, R2TranslucentRenderer, R2TranslucentShaderBasicPremultipliedBatched, R2TranslucentShaderBasicPremultipliedBillboarded, R2TranslucentShaderBasicPremultipliedSingle, R2UnitCube, R2UnitQuad, R2UnitSphere

      public interface R2DeletableType
      extends com.io7m.jcanephora.core.JCGLResourceUsableType

  The type of objects that can be deleted, and that require access to OpenGL to perform the deletion.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### delete

          void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
               throws R2Exception

      Delete the current object.
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

Copyright © 2017 <code@io7m.com> http://io7m.com